unit RebootNeeded;

{$mode objfpc}{$H+}
{$warnings off}
{$hints off}

// Created at 23th of January 2020, by Linuxer (https://gitlab.com/psposito), from scratch with Free Pascal
// Redesigned and further Developed at 28th of January 2020, by Initial developer
// to provide Camera and Mic status alone with On/Off and Mute/Unmute fuctions
// Developed further for intrusion feeling and logging at 2nd of February 2020, by Initial developer
// Developed for Blacklisting/Whitelisting functions for both camera & audio at 7th of February 2020, by Initial developer
// Finalized, except traslations at 15th of February 2020.

interface

uses
  {$IFDEF UNIX}
  cthreads,
  {$ENDIF}
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls,
  TplLabelUnit, LCLIntf, Unix;

type

  { TForm5 }

  TForm5 = class(TForm)
    Button1                 : TButton;
    Button2                 : TButton;
    ListBox1                : TListBox;
    plURLLabel1             : TplURLLabel;
    procedure RebootNow;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private

  public

  end;

var
  Form5  : TForm5;


implementation

{$R *.frm}

{ TForm5 }

procedure TForm5.RebootNow;
begin
     //Show;
end;

procedure TForm5.Button2Click(Sender: TObject);
begin
     Form5.ListBox1.Free;
     Halt(0);
end;

procedure TForm5.Button1Click(Sender: TObject);
begin
     //FpSystem('reboot');
end;

end.